Subject: Re: linux-next: build warnings after merge of the staging tree

From: Greg KH <[email-masked]>
Date: Sat, 20 Jun 2015 07:50:34 -0700

On Sat, Jun 20, 2015 at 08:48:26PM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Mon, 1 Jun 2015 18:50:12 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > On Fri, 29 May 2015 20:40:02 +1000 Stephen Rothwell <[email-masked]> wrote:
> > >
> > > After merging the staging tree, today's linux-next build (x86_64
> > > allmodconfig) produced a large number of warnings in
> > > drivers/staging/wilc1000.
> > 
> > Since there are so many warnings, I have disabled the driver for now.
> 
> I tried building this with the driver enabled but it still produces and
> inordinate number of warnings, so I have disabled it again.  Please
> either get them sorted out or disable this driver before asking Linus
> to merge it.

Yeah, I know, I keep asking the driver authors for fixes, but nothing
has shown up yet except cosmetic changes.  I'm going to disable it as no
one seems willing to do the work, which is sad.

greg k-h